Subject: Re: [PATCH 2/2] macvlan: Move broadcasts into a work queue

From: Ben Greear <[email-masked]>
Date: Fri, 11 Apr 2014 09:11:57 -0700

On 04/11/2014 01:45 AM, David Laight wrote:
>>> ARP filter would require to inspect the queried IPv4 address, and
>>> macvlan do not currently have a list of IPv4 addresses per port.
>>
>> Indeed.  Thanks for snapping us out of our collective daydream :)
> 
> You could save the info from ARP responses.
> 
> Whether you want that much layer-breaking is another matter.
> By the sound of it, it might be worth doing the deep packet
> inspection at startup.

I wouldn't want to keep history, but in most network scenarios,
having only the interface with the matching MAC answer the APR is good
enough.

I've too much else to worry about to code this up now though.

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com